### Method

# Tracker SparqlConnection update_array_async

#### Declaration [src]

    void
    tracker_sparql_connection_update_array_async (
      TrackerSparqlConnection* connection,
      gchar** sparql,
      gint sparql_length,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Executes asynchronously an array of SPARQL updates. All updates in the array are handled within a single transaction.

If the query is partially built from user input or other untrusted sources, special care is required about possible SPARQL injection. In order to avoid it entirely, it is recommended to use `TrackerSparqlStatement`, or to build the SPARQL input through `TrackerResource`. The function `tracker_sparql_escape_string()` exists as a last resort, but its use is not recommended.

#### Parameters

`sparql`

  Type: `gchar**`

  An array of strings containing the SPARQL update queries.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`sparql_length`

  Type: `gint`

  The amount of strings you pass as `sparql`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.